h29421
s 00002/00002/00090
d D 1.11 83/03/03 18:47:08 mjb 11 10
c put in check for single graph recalls in multi graph mode
e
s 00004/00002/00088
d D 1.10 83/02/08 20:13:23 mjb 10 9
c restructured for overlaying menus
e
s 00001/00001/00089
d D 1.9 83/02/03 19:46:54 mjb 9 8
c didn`t need gattcom common
e
s 00002/00002/00088
d D 1.8 83/02/03 00:50:19 tes 8 7
c modified apdata interface to include last item to display
e
s 00002/00004/00088
d D 1.7 83/01/31 19:13:47 mjb 7 6
c made changes for checking of defined charts
e
s 00028/00016/00064
d D 1.6 83/01/31 16:21:27 mjb 6 5
c fixed and implemented multi file error reporting
e
s 00002/00002/00078
d D 1.5 83/01/29 16:37:38 mjb 5 4
c made changes for save restore of multi files and error reporting
e
s 00007/00004/00073
d D 1.4 83/01/28 23:29:04 tes 4 3
c modified apmenu interface to include a clear screen flag
e
s 00009/00005/00068
d D 1.3 83/01/20 21:28:30 mjb 3 2
c made changes to allow for correct output of multi charts
e
s 00001/00000/00072
d D 1.2 83/01/20 14:44:24 mjb 2 1
c modified for multiple graphs
e
s 00072/00000/00000
d D 1.1 83/01/20 11:12:59 tes 1 0
c date and time created 83/01/20 11:12:59 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine mnumlt (item)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Multiple Chart menu manager                            #
#                                                                      #
#     Input Parameters:                                                #
#            item  - selected menu item                                #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
SHORTINT item

SHORTINT jump
I 4
D 6
integer iclear
E 6
I 6
integer iclear, itemp
E 6
E 4

D 3
include(`gphcom')
E 3
I 3
D 9
include(`gattcom')
E 9
I 9
include(`gphcom')
E 9
E 3

I 4
data iclear /YES/

E 4
jump = item + 1
go to (DIG0,DIG1,DIG2,DIG3,DIG4,DIG5,DIG6,DIG7,DIG8,DIG9), jump

D 7
# Determine if save of a defined graph is needed

E 7
   DIG0 continue  # EXIT to Main
D 3
      call ggmult
E 3
I 3
D 6
      multfg = 1
      mfrmat = 6
E 3
D 4
      call apmenu (MAINxMENU)
E 4
I 4
      call apmenu (MAINxMENU, iclear)
E 6
I 6
      call ggmult
      call mltchk (itemp)
      if (itemp == YES) {
D 10
         call apmenu (MAINxMENU, iclear)
E 10
I 10
	 mid = MAINxMENU
	 action = BREAKxOVERLAY
E 10
	 }
E 6
E 4
      go to OTHERxWISE

   DIG1 continue            # SAVE
      call ggmult
D 5
      call savrst (ASCIIxWRITE, multfg, MULTxSIZE)
E 5
I 5
D 6
      call savrst (ASCIIxWRITE)
E 5
D 4
      call apmenu (MULTIPLExCHARTSxPERxPAGE)
E 4
I 4
      call apmenu (MULTIPLExCHARTSxPERxPAGE, iclear)
E 4
D 3
      #call outlin
E 3
      call cgmult
      call apdata (1)
E 6
I 6
      call mltchk (itemp)
      if (itemp == YES) {
D 7
         call savrst (ASCIIxWRITE)
E 7
I 7
D 11
         call savrst (BINARYxWRITE)
E 11
I 11
         call savrst (BINARYxWRITE, MULTI)
E 11
E 7
         call apmenu (MULTIPLExCHARTSxPERxPAGE, iclear)
         call cgmult
D 8
         call apdata (1)
E 8
I 8
         call apdata (1, FOREVER)
E 8
         }
E 6
      go to OTHERxWISE

   DIG2 continue            # RESTORE
      call ggmult
D 5
      call savrst (ASCIIxREAD, multfg, MULTxSIZE)
E 5
I 5
D 7
      call savrst (ASCIIxREAD)
E 7
I 7
D 11
      call savrst (BINARYxREAD)
E 11
I 11
      call savrst (BINARYxREAD, MULTI)
E 11
E 7
E 5
D 4
      call apmenu (MULTIPLExCHARTSxPERxPAGE)
E 4
I 4
      call apmenu (MULTIPLExCHARTSxPERxPAGE, iclear)
E 4
D 3
      #call outlin
E 3
      call cgmult
D 8
      call apdata (1)
E 8
I 8
      call apdata (1, FOREVER)
E 8
      go to OTHERxWISE

D 3
   DIG3 continue
E 3
I 3
   DIG3 continue            # Output to a peripheral
      call ggmult
D 6
      lastid = MULTIPLExCHARTSxPERxPAGE
D 4
      call apmenu (DEVICExSELECTION)
E 4
I 4
      call apmenu (DEVICExSELECTION, iclear)
E 6
I 6
      call mltchk (itemp)
      if (itemp == YES) {
         lastid = MULTIPLExCHARTSxPERxPAGE
D 10
         call apmenu (DEVICExSELECTION, iclear)
E 10
I 10
	 mid = DEVICExSELECTION
	 action = BREAKxOVERLAY
E 10
	 }
E 6
E 4
      go to OTHERxWISE

I 6
   DIG9 continue           # DISPLAY current CHART      
      call ggmult
      call mltchk (itemp)
      if (itemp == YES) {
         mid = MULTIPLExCHARTSxPERxPAGE
         action = SHOWxCHART
         device = CRT
	 }
      go to OTHERxWISE

E 6
E 3
   DIG4 continue
   DIG5 continue
   DIG6 continue
   DIG7 continue
   DIG8 continue
D 6
   DIG9 continue           # DISPLAY current CHART      
I 2
      call ggmult
E 2
      mid = MULTIPLExCHARTSxPERxPAGE
      action = SHOWxCHART
      device = CRT

E 6
   OTHERxWISE continue

   return
end
E 1
